Bug 959068 (CVE-2013-1989) - CVE-2013-1989 libXv: Multiple integer overflows leading to heap-based bufer overflows
Summary: CVE-2013-1989 libXv: Multiple integer overflows leading to heap-based bufer o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1989
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966816 1078039
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-03 06:00 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:04 UTC (History)
5 users (show)

Fixed In Version: libXv 1.0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:10:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-03 06:00:01 UTC
An integer overflow leading to heap-based buffer overflow was found in libXv, an X.Org X11 libXv runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XvQueryPortAttributes(), XvListImageFormats(),
          XvCreateImage()

Comment 12 Jan Lieskovsky 2013-05-23 15:39:21 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 13 Huzaifa S. Sidhpurwala 2013-05-24 03:48:37 UTC
Created libXv tracking bugs for this issue

Affects: fedora-all [bug 966816]

Comment 14 Fedora Update System 2013-05-28 02:20:28 UTC
libXv-1.0.7-5.20130524git50fc4cb18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Huzaifa S. Sidhpurwala 2013-06-05 03:33:23 UTC
This issue affects the version of libXv as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 16 Huzaifa S. Sidhpurwala 2013-06-05 03:47:05 UTC
Statement:

This issue affects the libXv package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 17 Fedora Update System 2013-06-06 01:32:47 UTC
libXv-1.0.7-5.20130524git50fc4cb18.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Jan Lieskovsky 2013-06-17 13:01:27 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 19 Fedora Update System 2013-07-08 00:56:48 UTC
libXv-1.0.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2014-10-14 05:05:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.